net.minecraft.entity.item

## Class EntityFallingSand

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.item.EntityFallingSand

-     public class EntityFallingSand
      extends Entity

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `blockID`
    `NBTTagCompound` | `fallingBlockTileEntityData`
    `int` | `fallTime` How long the block has been falling for.
    `int` | `metadata`
    `boolean` | `shouldDropItem`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, field_98038_p, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityFallingSand(World par1World)`
    `EntityFallingSand(World par1World, double par2, double par4, double par6, int par8)`
    `EntityFallingSand(World par1World, double par2, double par4, double par6, int par8, int par9)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canBeCollidedWith()` Returns true if other Entities should be prevented from moving through this Entity.
    `boolean` | `canRenderOnFire()`
    `void` | `func_85029_a(CrashReportCategory par1CrashReportCategory)`
    `float` | `getShadowSize()`
    `World` | `getWorld()`
    `void` | `onUpdate()` Called to update the entity's position/logic.
    `void` | `setIsAnvil(boolean par1)`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, attackEntityFrom, canAttackWithItem, canBePushed, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82143_as, func_82146_a, func_82149_j, func_85031_j, func_96090_ax, func_96091_a, func_96092_aw, func_98034_c, func_98035_c, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getExtendedProperties, getEyeHeight, getHasActivePotion, getLastActiveItems, getLookVec, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getRotationYawHead, getTeleportDirection, getTexture, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isCreatureType, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, playSound, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setHasActivePotion, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setRotationYawHead, setSneaking, setSprinting, setVelocity, setWorld, shouldRenderInPass, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRidden, updateRiderPosition, writeToNBT`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### blockID

          public int blockID

    - #### metadata

          public int metadata

    - #### fallTime

          public int fallTime

      How long the block has been falling for.

    - #### shouldDropItem

          public boolean shouldDropItem

    - #### fallingBlockTileEntityData

          public NBTTagCompound fallingBlockTileEntityData

  - ### Constructor Detail

    - #### EntityFallingSand

          public EntityFallingSand(World par1World)

    - #### EntityFallingSand

          public EntityFallingSand(World par1World,
                           double par2,
                           double par4,
                           double par6,
                           int par8)

    - #### EntityFallingSand

          public EntityFallingSand(World par1World,
                           double par2,
                           double par4,
                           double par6,
                           int par8,
                           int par9)

  - ### Method Detail

    - #### canBeCollidedWith

          public boolean canBeCollidedWith()

      Returns true if other Entities should be prevented from moving through this Entity.
      Overrides:
        `canBeCollidedWith` in class `Entity`

    - #### onUpdate

          public void onUpdate()

      Called to update the entity's position/logic.
      Overrides:
        `onUpdate` in class `Entity`

    - #### setIsAnvil

          public void setIsAnvil(boolean par1)

    - #### func_85029_a

          public void func_85029_a(CrashReportCategory par1CrashReportCategory)

      Overrides:
        `func_85029_a` in class `Entity`

    - #### getShadowSize

          public float getShadowSize()

      Overrides:
        `getShadowSize` in class `Entity`

    - #### getWorld

          public World getWorld()

    - #### canRenderOnFire

          public boolean canRenderOnFire()

      Overrides:
        `canRenderOnFire` in class `Entity`